## org.opengis.geometry.complex
Interface ComplexBoundary

All Superinterfaces:
  Boundary, Complex, Geometry, TransfiniteSet

    @UML(identifier="GM_ComplexBoundary",
         specification=ISO_19107)
    public interface ComplexBoundary

extends Boundary

The boundary of complex objects. The `getBoundary()` method for `Complex` objects shall return a `ComplexBoundary`, which is a collection of primitives and a complex of dimension 1 less than the original object.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface Boundary
`isCycle`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.